<template>
    <header>
        <div class="box-logo">
            <router-link :to="route('dashboard')" class="logotype">
				<img src="/img/header_logo.png" alt="">
            </router-link>
			<div class="mobile-header">
				<svg class="real-estate_copy">
					<use :xlink:href="pageLogo"></use>
				</svg>
				<div class="title-text">
					<h1 class="title">
						{{ pageTitle }}
					</h1>
					<p class="text-podTitle">
						{{ pageDescription }}
					</p>
				</div>
			</div>
        </div>
        <div class="box__header--left">
            <svg class="real-estate_copy">
                <use :xlink:href="pageLogo"></use>
            </svg>
            <div class="title-text">
                <h1 class="title">
                    {{ pageTitle }}
                </h1>
                <p class="text-podTitle">
                    {{ pageDescription }}
                </p>
            </div>
            <volume></volume>
            <div class="box-time">
                <p class="text-time">
                    {{ $t('ui.header.server_time') }}
                    <clock></clock>
                </p>
            </div>
            <short-stats></short-stats>
            <locale-changer/>
            <div class="box-calendar">
                <div class="clickIcon">
                    <svg>
                        <use xlink:href="/img/sprite.svg#calendar"></use>
                    </svg>
                </div>
                <div class="box-calendarBody">
                    <div class="graphick">
                        <p class="text-graphick">{{ $t('ui.header.calendar.title') }}</p>
                        <div class="box__graphick--element">
                            <p class="text-o"> {{ $t('ui.header.calendar.online') }}</p>
                            <span class="number-g">09:00:00</span>
                        </div>
                        <div class="box__graphick--element">
                            <p class="text-o"> {{ $t('ui.header.calendar.offline') }}</p>
                            <span class="number-g">23:00:00</span>
                        </div>
                        <div class="box-check">
                            <div class="box-check-check">
                                <input type="checkbox" class="checkbox" id="checkboxCalendar" />
                                <label for="checkboxCalendar"></label>
                            </div>
                            <p class="text-Online" >
                                <span class="online2">{{ $t('ui.on') }}</span><span class="offline2">{{ $t('ui.off') }}</span>
                            </p>
                        </div>
                    </div>
                </div>

            </div>
            <user-online>

            </user-online>
            <div class="box-welcome">
                <div class="box__welcome--head" @click="toggleMenu">
                    <p class="text-welcome">{{ $t('ui.header.menu.welcome') }}
                        <span class="name">{{ user.name }}</span>
                        </p>
                    <div class="box-miniAvatar">
                        <div class="online_icon" :style="onlineStyle"></div>
                        <svg>
                            <use xlink:href="/img/sprite.svg#profile"></use>
                        </svg>
                    </div>
                    <svg class="menu_arrow" :style="arrowStyle">
                        <use xlink:href="/img/sprite.svg#right-arrow-circular-button"></use>
                    </svg>
                </div>
                <transition name="slide">
                    <div class="box__welcome--body" v-if="opened_menu">
                        <ul class="lk">
                            <li>
                                <a href="/cabinet">
                                    <svg class="lk_icon">
                                        <use xlink:href="/img/sprite.svg#business-graphic-with-semicircles"></use>
                                    </svg>
                                    {{ $t('ui.header.menu.cabinet') }}
                                </a>
                            </li>
                            <li>
                                <form action="/logout" method="POST" id="logout-form" ref="logoutForm">
                                    <input type="hidden" :value="csrf">
                                    <a href="#" @click.prevent="logout" class=btn-logout>
                                        <svg class="lk_icon">
                                            <use xlink:href="/img/sprite.svg#power-button-off"></use>
                                        </svg>
                                        {{ $t('ui.header.menu.logout') }}
                                    </a>
                                </form>
                            </li>
                        </ul>
                    </div>
                </transition>
            </div>
        </div>
        <mobile-profile></mobile-profile>
    </header>
</template>

<script>
    import { mapGetters } from 'vuex';
    import Clock from 'Admin/components/header/Clock';
    import Volume from 'Admin/components/header/Volume';
    import UserOnline from 'Admin/components/header/UserOnline';
    import LocaleChanger from "Admin/components/header/LocaleChanger";
    import ShortStats from "Admin/components/header/ShortStats";
    import MobileProfile from "Admin/components/header/MobileProfile";
	import route from "Admin/mixins/route";

	export default {
		name: "Header",
		mixins: [route],
        data(){
			return {
				opened_menu: false,
            }
        },
        computed: {
            ...mapGetters('auth', [
            	'online',
                'user'
            ]),
            ...mapGetters([
            	'csrf',
            ]),
			pageLogo() {
				return this.$route.meta.headerLogo || '/img/sprite.svg#real-estate';
			},
			pageTitle() {
                return this.$t('routes.' + this.$route.name + '.title');
				//return this.$route.meta.headerTitle || 'Главная админки';
			},
			pageDescription() {
                return this.$t('routes.' + this.$route.name + '.description');
				//return this.$route.meta.headerDescription || 'Страница статистики проекта';
			},
            onlineStyle() {
				return this.online ? {
					'background-image' : 'linear-gradient(to top, #3bbf1c 0%, #49eb41 100%)'
                } : {
					'background-image' : 'linear-gradient(to top, gray 0%, gray 100%)'
                }
            },
			arrowStyle() {
				return this.opened_menu ? {
					'-webkit-transform' : 'rotate(270deg)',
					'transform' : 'rotate(270deg)'
				} : {
					'-webkit-transform' : 'rotate(90deg)',
					'transform' : 'rotate(90deg)'
				}
            }
        },
        methods: {
		    logout(){
		    	this.$refs.logoutForm.submit();
            },
			toggleMenu(){
                this.opened_menu = !this.opened_menu;
            }
        },
        mounted() {
		},
        components: {
            Clock,
            Volume,
			UserOnline,
            LocaleChanger,
            ShortStats,
            MobileProfile
        }
	}
</script>

<style scoped lang="scss">
    .online_icon{
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 13px;
        height: 13px;
        border-radius: 50%;
        border: 5px solid #ebebeb;
        background-image: linear-gradient(to top, #3bbf1c 0%, #49eb41 100%);
        z-index: 9999;
    }
    .menu_arrow{
        width: 21px;
        height: 21px;
        fill: #c1c1c1;
    }

    .box__welcome--body{
        max-height: 400px;
    }

    .slide-enter-active,
    .slide-leave-active {
        transition: max-height 0.5s ease;
    }
    .slide-enter,
    .slide-leave-to {
        max-height: 0px;
    }
	.mobile-header{
		display: none;

		@media(max-width: 1375px) {
			display: flex;
			justify-content: center;
			align-items: center;
			margin-top: 30px;
		}
		.real-estate_copy{
			width: 46px;
			height: 46px;
			fill: #2451d0;
			margin-right: 30px;
		}
		.title-text{
			.title{
				color: #393939;
				font-size: 20px;
				font-weight: 700;
				line-height: 15px;
				font-family: "Geometria Bold";
				margin-bottom: 15px;
			}
			.text-podTitle{
				color: #a8a8a8;
				font-family: "Geometria";
				font-size: 14px;
				font-weight: 400;
				line-height: 15px;
			}
		}
	}
</style>
